Bug 1294377 - yumex-dnf doesn't open its main window (TypeError: %X format: an integer is required, not float)
yumex-dnf doesn't open its main window (TypeError: %X format: an integer is r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
24
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-27 16:20 EST by Giulio 'juliuxpigface'
Modified: 2016-03-26 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: yumex-dnf-4.1.6-1.fc24 yumex-dnf-4.1.6-1.fc23 yumex-dnf-4.1.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 11:18:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yumex-dnf's traceback (if launched with a terminal) (1.19 KB, text/plain)
2015-12-27 16:20 EST, Giulio 'juliuxpigface'
no flags Details
specfile patch (1.35 KB, patch)
2015-12-27 17:04 EST, Francesco Frassinelli (frafra)
no flags Details | Diff

  None (edit)
Description Giulio 'juliuxpigface' 2015-12-27 16:20:51 EST
Created attachment 1109885 [details]
yumex-dnf's traceback (if launched with a terminal)

Description of problem:
When launching yumex-dnf, only the icon on the taskbar is displayed. The main window doesn't appear.

Openin yumex-dnf from a terminal, reveals that it is a python exception. I'm posting the full traceback as attachment.

Version-Release number of selected component (if applicable):
yumex-dnf-4.1.5-1.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
1. Launch yumex-dnf

Actual results:
YumexWindow crashes.

Expected results:
YumexWindow should pop up.
Comment 1 Francesco Frassinelli (frafra) 2015-12-27 17:04 EST
Created attachment 1109886 [details]
specfile patch

This is due Python 3.5.0 alpha 4:
https://docs.python.org/3.5/whatsnew/changelog.html#id36
http://bugs.python.org/issue23466

Fixed in upstream 1 month ago: https://github.com/timlau/yumex-dnf/issues/81
yumex-dnf should be upgraded to 4.1.6 (or to 4.3.1).

Koji build for 4.1.6: http://koji.fedoraproject.org/koji/taskinfo?taskID=12327874
RPM: https://kojipkgs.fedoraproject.org//work/tasks/7875/12327875/yumex-dnf-4.1.6-1.fc24.noarch.rpm
Comment 2 Tim Lauridsen 2015-12-28 04:39:05 EST
I will make a new build very soon
Comment 3 Jan Kurik 2016-02-24 10:32:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora Update System 2016-03-17 08:14:54 EDT
yumex-dnf-4.1.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9
Comment 5 Fedora Update System 2016-03-17 08:35:35 EDT
yumex-dnf-4.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119
Comment 6 Fedora Update System 2016-03-17 08:35:49 EDT
yumex-dnf-4.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42
Comment 7 Fedora Update System 2016-03-18 10:57:19 EDT
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9
Comment 8 Fedora Update System 2016-03-18 19:55:33 EDT
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42
Comment 9 Fedora Update System 2016-03-18 21:25:54 EDT
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119
Comment 10 Fedora Update System 2016-03-23 11:18:01 EDT
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-26 15:49:12 EDT
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-26 16:19:59 EDT
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.